# Gun Wall (Sponsored Research)
Please provide feedback after reading "Known Bugs".  
[>>[Feedback form]<<](https://forms.gle/TBEe2btHePCsGp557)  
[>>[WATCH_TUTORIAL_VIDEO_HERE]<<](https://i.imgur.com/qkIE0R0.mp4)

Leverages OpenScripts2 to achieve wall-hung attachments with the same functionality as [Place AnywhereRails Mod](https://h3vr.thunderstore.io/package/cityrobo/PlaceAnywhereRails/).

### Items included:
[>>[INSTRUCTIONS_TUTORIAL_VIDEO]<<](https://i.imgur.com/qkIE0R0.mp4)
* Gun Wall
  * Allows attachments like hooks to be placed on its surface.
  * Will vault-save any attached items.
* QB Slot (Left/Right) *Anywhere Placement*
  * A quick-belt slot that can be attached to the wall (or anything picatiny)
  * Grab the blue pellet that spawned and place it anywhere on the Gun Wall
  * The QB slot will now appear, with a small cylinder pellet behind it
  * Grab cylinder pellet and then also hold *Trigger* to move the QB Slot anywhere you place
  * The moved location will be saved in the Vault
  * Left/Right variants differ in which direction the gun points
* Hook (No Collision) *Anywhere Placement*
  * A gun-hook which doesn't have collision, it's for aesthetics of QB slotted weapons
  * Can be attached to the wall
  * Once placed, grab the item, then also hold *Trigger* to perform anywhere placement
  * Moved location will be vault saved
* Mag Holder *Anywhere Placement*
  * A collision-enabled holder for placing your mags and other stuff
  * Place directly and forcefully against the wall, it will auto-adjust position
  * Grab the spot in its underside, right in the middle, towards the back (see tutorial video at 0:09), then also hold *Trigger* to move anywhere
  * Vault saveable

### Known Bugs
* General jankyness may occur when colliding mag-holder.
* Go report new ones here: [>>[Feedback form]<<](https://forms.gle/TBEe2btHePCsGp557)

## Planned Features
- [✓] Meet minimum requirements set by project sponsor.
- [✓] Do one more round of polish after sponsor feedback.
- [_] Use technology created here for a more extensive gun-storage Mod, involving furniture, physical hooks, etc.
- [_] Use tech to enable ModulRigs Molle pouches to attach to gun wall 
- [_] Use tech to create *place anywhere* QuickBelt slots on Modul rigs

## Versions
### 0.1.0
* Did polishing round and implemented sponsor feedback.
* Mag holder is significantly smaller now!
* Rotated hook the correct way. 
* Hook has physics collisions when it's not attached to gun wall (dual purpose!)
* Rotated right-pointing QB slot to be level
### 0.0.1
* Gun wall with Anywhere Rails-styled accessories.
* Vault save-able.
